<template>
  <div>
    <TDropdown :text="`${currentValue}`" :show.sync="show">
      <div style="max-height:130px;" class="overflow-y-auto">
        <a
          v-for="value in values"
          :key="value"
          @click="select(value)"
          class="cursor-pointer block pl-2 pr-3 py-1 text-gray-900 transition duration-150 ease-in-out hover:bg-gray-700 hover:text-white focus:outline-none focus:bg-gray-100"
          :class="{'bg-gray-300 hover:text-gray-900': currentValue === value}"
          role="menuitem"
        >
          {{value}}pt
        </a>
      </div>  
  </TDropdown>
  </div>
</template>

<script>
import mixin from '@components/edit-element-text/mixin'

export default {
  mixins: [ mixin ],
  data() {
    return {
      show: false,
      values: [9, 10, 12, 13, 14, 18, 24, 36, 48, 64, 72, 96, 144, 288]
    }
  },
  computed: {
    currentValue(){
      return this.config.fontSize
    }
  },
  methods: {
    toggle(){
      this.show = !this.show
    },
    select(value){
      this.updateElementConfig({key: 'fontSize', value })
    }
  }
}
</script>